<?php

namespace Libs;

class Params {
    
    private $data;
  
    public function __construct($args){
      $this->data = [];
      foreach($args as $index => $value){
        $this->data[$index] = $value;
      }
    }
    
    public function __isset($index) {
      return isset($this->data[$index]);
    }
    
    public function __get($index){
        return (isset($this->data[$index]) && $this->data[$index] != '') ? $this->data[$index] : null;
    }
}

?>
